## org.eclipse.ocl.uml.impl
Class CollectionTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.uml2.uml.internal.impl.ElementImpl
                              org.eclipse.uml2.uml.internal.impl.NamedElementImpl
                                  org.eclipse.uml2.uml.internal.impl.NamespaceImpl
                                      org.eclipse.uml2.uml.internal.impl.ClassifierImpl
                                          org.eclipse.uml2.uml.internal.impl.DataTypeImpl
                                              org.eclipse.ocl.uml.impl.CollectionTypeImpl

All Implemented Interfaces:
  Notifier, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, CollectionType<Classifier,Operation>, ASTNode, PredefinedType<Operation>, TypedASTNode, Classifier, DataType, Element, NamedElement, Namespace, PackageableElement, ParameterableElement, RedefinableElement, TemplateableElement, Type

Direct Known Subclasses:
  BagTypeImpl, OrderedSetTypeImpl, SequenceTypeImpl, SetTypeImpl

    public class CollectionTypeImpl

extends org.eclipse.uml2.uml.internal.impl.DataTypeImpl
implements CollectionType

An implementation of the model object 'Collection Type'.

The following features are implemented:

- `Start Position`
- `End Position`
- `Type Start Position`
- `Type End Position`
- `Element Type`
- `Kind`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected Classifier` `elementType` The cached value of the '`Element Type`' reference
`protected static int` `END_POSITION_EDEFAULT` The default value of the '`End Position`' attribute
`protected int` `endPosition` The cached value of the '`End Position`' attribute
`protected static CollectionKind` `KIND_EDEFAULT` The default value of the '`Kind`' attribute
`protected static int` `START_POSITION_EDEFAULT` The default value of the '`Start Position`' attribute
`protected int` `startPosition` The cached value of the '`Start Position`' attribute
`protected static int` `TYPE_END_POSITION_EDEFAULT` The default value of the '`Type End Position`' attribute
`protected static int` `TYPE_START_POSITION_EDEFAULT` The default value of the '`Type Start Position`' attribute
`protected int` `typeEndPosition` The cached value of the '`Type End Position`' attribute
`protected int` `typeStartPosition` The cached value of the '`Type Start Position`' attribute

Fields inherited from class org.eclipse.uml2.uml.internal.impl.DataTypeImpl
`ATTRIBUTE_ESUBSETS, FEATURE_ESUBSETS, OWNED_MEMBER_ESUBSETS, ownedAttributes, ownedOperations`

Fields inherited from class org.eclipse.uml2.uml.internal.impl.ClassifierImpl

`CLIENT_DEPENDENCY_ESUBSETS, COLLABORATION_USE_ESUBSETS, collaborationUses, generalizations, IS_ABSTRACT_EDEFAULT, IS_ABSTRACT_EFLAG, IS_LEAF_EDEFAULT, IS_LEAF_EFLAG, MEMBER_ESUBSETS, OWNED_ELEMENT_ESUBSETS, ownedTemplateSignature, ownedUseCases, powertypeExtents, REDEFINED_ELEMENT_ESUBSETS, redefinedClassifiers, REDEFINITION_CONTEXT_ESUBSETS, representation, SUBSTITUTION_ESUPERSETS, substitutions, templateBindings, templateParameter, useCases`

Fields inherited from class org.eclipse.uml2.uml.internal.impl.NamespaceImpl
`elementImports, ownedRules, packageImports`

Fields inherited from class org.eclipse.uml2.uml.internal.impl.NamedElementImpl
`clientDependencies, name, NAME_EDEFAULT, NAME_ESETFLAG, nameExpression, QUALIFIED_NAME_EDEFAULT, VISIBILITY_EDEFAULT, VISIBILITY_EFLAG, VISIBILITY_EFLAG_DEFAULT, VISIBILITY_EFLAG_OFFSET, VISIBILITY_EFLAG_VALUES, VISIBILITY_ESETFLAG`

Fields inherited from class org.eclipse.uml2.uml.internal.impl.ElementImpl
`ownedComments`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.types.CollectionType
`SINGLETON_NAME`

Fields inherited from interface org.eclipse.ocl.utilities.PredefinedType

`ABS, ABS_NAME, ALL_INSTANCES, ALL_INSTANCES_NAME, AND, AND_NAME, ANY, ANY_NAME, APPEND, APPEND_NAME, AS_BAG, AS_BAG_NAME, AS_ORDERED_SET, AS_ORDERED_SET_NAME, AS_SEQUENCE, AS_SEQUENCE_NAME, AS_SET, AS_SET_NAME, AT, AT_NAME, CLOSURE, CLOSURE_NAME, COLLECT, COLLECT_NAME, COLLECT_NESTED, COLLECT_NESTED_NAME, CONCAT, CONCAT_NAME, COUNT, COUNT_NAME, DIV, DIV_NAME, DIVIDE, DIVIDE_NAME, EQUAL, EQUAL_NAME, EXCLUDES, EXCLUDES_ALL, EXCLUDES_ALL_NAME, EXCLUDES_NAME, EXCLUDING, EXCLUDING_NAME, EXISTS, EXISTS_NAME, FIRST, FIRST_NAME, FLATTEN, FLATTEN_NAME, FLOOR, FLOOR_NAME, FOR_ALL, FOR_ALL_NAME, GREATER_THAN, GREATER_THAN_EQUAL, GREATER_THAN_EQUAL_NAME, GREATER_THAN_NAME, HAS_RETURNED, HAS_RETURNED_NAME, IMPLIES, IMPLIES_NAME, INCLUDES, INCLUDES_ALL, INCLUDES_ALL_NAME, INCLUDES_NAME, INCLUDING, INCLUDING_NAME, INDEX_OF, INDEX_OF_NAME, INSERT_AT, INSERT_AT_NAME, INTERSECTION, INTERSECTION_NAME, IS_EMPTY, IS_EMPTY_NAME, IS_OPERATION_CALL, IS_OPERATION_CALL_NAME, IS_SIGNAL_SENT, IS_SIGNAL_SENT_NAME, IS_UNIQUE, IS_UNIQUE_NAME, LAST, LAST_NAME, LESS_THAN, LESS_THAN_EQUAL, LESS_THAN_EQUAL_NAME, LESS_THAN_NAME, MAX, MAX_NAME, MIN, MIN_NAME, MINUS, MINUS_NAME, MOD, MOD_NAME, NOT, NOT_EMPTY, NOT_EMPTY_NAME, NOT_EQUAL, NOT_EQUAL_NAME, NOT_NAME, OCL_AS_TYPE, OCL_AS_TYPE_NAME, OCL_IS_IN_STATE, OCL_IS_IN_STATE_NAME, OCL_IS_INVALID, OCL_IS_INVALID_NAME, OCL_IS_KIND_OF, OCL_IS_KIND_OF_NAME, OCL_IS_NEW, OCL_IS_NEW_NAME, OCL_IS_TYPE_OF, OCL_IS_TYPE_OF_NAME, OCL_IS_UNDEFINED, OCL_IS_UNDEFINED_NAME, ONE, ONE_NAME, OR, OR_NAME, PLUS, PLUS_NAME, PREPEND, PREPEND_NAME, PRODUCT, PRODUCT_NAME, REJECT, REJECT_NAME, RESULT, RESULT_NAME, ROUND, ROUND_NAME, SELECT, SELECT_NAME, SIZE, SIZE_NAME, SORTED_BY, SORTED_BY_NAME, SUB_ORDERED_SET, SUB_ORDERED_SET_NAME, SUB_SEQUENCE, SUB_SEQUENCE_NAME, SUBSTRING, SUBSTRING_NAME, SUM, SUM_NAME, SYMMETRIC_DIFFERENCE, SYMMETRIC_DIFFERENCE_NAME, TIMES, TIMES_NAME, TO_INTEGER, TO_INTEGER_NAME, TO_LOWER, TO_LOWER_NAME, TO_REAL, TO_REAL_NAME, TO_UPPER, TO_UPPER_NAME, UNION, UNION_NAME, XOR, XOR_NAME`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `CollectionTypeImpl()`
`protected` `CollectionTypeImpl(Classifier elementType)`

Method Summary
`Classifier` `basicGetElementType()`
`boolean` `checkCollectionTypeName(DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `checkNoInvalidValues(DiagnosticChain diagnostics, Map<Object,Object> context)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Classifier` `getElementType()`
`int` `getEndPosition()`
`CollectionKind` `getKind()` Returns the value of the 'Kind' attribute.
`String` `getName()` If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...
`int` `getStartPosition()`
`int` `getTypeEndPosition()`
`int` `getTypeStartPosition()`
`EList<Operation>` `oclIterators()` If the meaning of the 'Iterators' reference list isn't clear, there really should be more of a description here...
`EList<Operation>` `oclOperations()` If the meaning of the 'Operations' reference list isn't clear, there really should be more of a description here...
`void` `setElementType(Classifier newElementType)`
`void` `setEndPosition(int newEndPosition)`
`void` `setStartPosition(int newStartPosition)`
`void` `setTypeEndPosition(int newTypeEndPosition)`
`void` `setTypeStartPosition(int newTypeStartPosition)`
`String` `toString()`

Methods inherited from class org.eclipse.uml2.uml.internal.impl.DataTypeImpl
`createOwnedAttribute, createOwnedAttribute, createOwnedAttribute, createOwnedOperation, createOwnedOperation, eInverseAdd, eInverseRemove, getAttributes, getFeatures, getOwnedAttribute, getOwnedAttribute, getOwnedAttributes, getOwnedMembers, getOwnedOperation, getOwnedOperation, getOwnedOperations, inherit, isSetAttributes, isSetFeatures, isSetOwnedMembers`

Methods inherited from class org.eclipse.uml2.uml.internal.impl.ClassifierImpl

`allFeatures, allParents, basicGetNamespace, basicGetOwnedTemplateSignature, basicGetOwner, basicGetOwningTemplateParameter, basicGetPackage, basicGetRepresentation, basicGetTemplateParameter, basicSetOwnedTemplateSignature, basicSetOwnedTemplateSignatureGen, basicSetOwningTemplateParameter, basicSetTemplateParameter, basicSetTemplateParameterGen, conformsTo, conformsTo, conformsToGen, createAssociation, createCollaborationUse, createGeneralization, createOwnedTemplateSignature, createOwnedTemplateSignature, createOwnedUseCase, createRepresentation, createSubstitution, createTemplateBinding, eBasicRemoveFromContainerFeature, getAllAttributes, getAllOperations, getAllUsedInterfaces, getAssociations, getAttribute, getAttribute, getClientDependencies, getCollaborationUse, getCollaborationUse, getCollaborationUses, getFeature, getFeature, getGeneral, getGeneral, getGeneralization, getGeneralization, getGeneralizations, getGenerals, getInheritedMember, getInheritedMember, getInheritedMembers, getMembers, getNamespace, getOperation, getOperation, getOperations, getOwnedElements, getOwnedTemplateSignature, getOwnedUseCase, getOwnedUseCase, getOwnedUseCases, getOwner, getOwningTemplateParameter, getPackage, getPowertypeExtent, getPowertypeExtent, getPowertypeExtents, getRedefinedClassifier, getRedefinedClassifier, getRedefinedClassifiers, getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, getRedefinitionContextsGen, getRepresentation, getSubstitution, getSubstitution, getSubstitutions, getTemplateBinding, getTemplateBinding, getTemplateBindings, getTemplateParameter, getUseCase, getUseCase, getUseCases, getUsedInterfaces, getVisibility, hasVisibilityOf, inheritableMembers, isAbstract, isCompatibleWith, isConsistentWith, isLeaf, isRedefinitionContextValid, isSetMembers, isSetNamespace, isSetOwnedElements, isSetOwnedTemplateSignature, isSetOwner, isSetRedefinedElements, isSetRedefinitionContexts, isSetRedefinitionContextsGen, isSetTemplateParameter, isSetVisibility, isTemplate, isTemplateParameter, maySpecializeType, parameterableElements, parents, setIsAbstract, setIsLeaf, setOwnedTemplateSignature, setOwningTemplateParameter, setPackage, setRepresentation, setTemplateParameter, setVisibility, validateGeneralizationHierarchies, validateMapsToGeneralizationSet, validateNoCyclesInGeneralization, validateRedefinitionConsistent, validateRedefinitionContextValid, validateSpecializeType`

Methods inherited from class org.eclipse.uml2.uml.internal.impl.NamespaceImpl

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from class org.eclipse.uml2.uml.internal.impl.NamedElementImpl

`allNamespaces, allOwningPackages, basicGetNameExpression, basicGetNamespaceGen, basicSetNameExpression, createDependency, createNameExpression, createUsage, eObjectForURIFragmentSegment, eURIFragmentSegment, getClientDependency, getClientDependency, getLabel, getLabel, getNameExpression, getQualifiedName, isDistinguishableFrom, isSetName, isSetNamespaceGen, separator, setName, setNameExpression, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from class org.eclipse.uml2.uml.internal.impl.ElementImpl

`addKeyword, allOwnedElements, applyStereotype, basicGetOwnerGen, create, createEAnnotation, createOwnedComment, destroy, eAdapters, eBasicSetContainer, eNotificationRequired, eNotify, eSetDeliver, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getCacheAdapter, getKeywords, getModel, getNearestPackage, getOwnedComments, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isSetOwnerGen, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.uml2.uml.DataType
`createOwnedAttribute, createOwnedAttribute, createOwnedAttribute, createOwnedOperation, createOwnedOperation, getOwnedAttribute, getOwnedAttribute, getOwnedAttributes, getOwnedOperation, getOwnedOperation, getOwnedOperations`

Methods inherited from interface org.eclipse.uml2.uml.Classifier

`allFeatures, allParents, conformsTo, createCollaborationUse, createGeneralization, createOwnedUseCase, createRepresentation, createSubstitution, getAllAttributes, getAllOperations, getAllUsedInterfaces, getAttribute, getAttribute, getAttributes, getCollaborationUse, getCollaborationUse, getCollaborationUses, getFeature, getFeature, getFeatures, getGeneral, getGeneral, getGeneralization, getGeneralization, getGeneralizations, getGenerals, getInheritedMember, getInheritedMember, getInheritedMembers, getOperation, getOperation, getOperations, getOwnedUseCase, getOwnedUseCase, getOwnedUseCases, getPowertypeExtent, getPowertypeExtent, getPowertypeExtents, getRedefinedClassifier, getRedefinedClassifier, getRedefinedClassifiers, getRepresentation, getSubstitution, getSubstitution, getSubstitutions, getUseCase, getUseCase, getUseCases, getUsedInterfaces, hasVisibilityOf, inherit, inheritableMembers, isAbstract, maySpecializeType, parents, setIsAbstract, setRepresentation, validateGeneralizationHierarchies, validateMapsToGeneralizationSet, validateNoCyclesInGeneralization, validateSpecializeType`

Methods inherited from interface org.eclipse.uml2.uml.Namespace

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getMembers, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedMembers, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.Type
`conformsTo, createAssociation, getAssociations, getPackage, setPackage`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TemplateableElement
`createOwnedTemplateSignature, createOwnedTemplateSignature, createTemplateBinding, getOwnedTemplateSignature, getTemplateBinding, getTemplateBinding, getTemplateBindings, isTemplate, parameterableElements, setOwnedTemplateSignature`

Field Detail

### START_POSITION_EDEFAULT

    protected static final int START_POSITION_EDEFAULT

  The default value of the '`Start Position`' attribute.

  See Also:
    `getStartPosition()`, Constant Field Values

### startPosition

    protected int startPosition

  The cached value of the '`Start Position`' attribute.

  See Also:
    `getStartPosition()`

### END_POSITION_EDEFAULT

    protected static final int END_POSITION_EDEFAULT

  The default value of the '`End Position`' attribute.

  See Also:
    `getEndPosition()`, Constant Field Values

### endPosition

    protected int endPosition

  The cached value of the '`End Position`' attribute.

  See Also:
    `getEndPosition()`

### TYPE_START_POSITION_EDEFAULT

    protected static final int TYPE_START_POSITION_EDEFAULT

  The default value of the '`Type Start Position`' attribute.

  See Also:
    `getTypeStartPosition()`, Constant Field Values

### typeStartPosition

    protected int typeStartPosition

  The cached value of the '`Type Start Position`' attribute.

  See Also:
    `getTypeStartPosition()`

### TYPE_END_POSITION_EDEFAULT

    protected static final int TYPE_END_POSITION_EDEFAULT

  The default value of the '`Type End Position`' attribute.

  See Also:
    `getTypeEndPosition()`, Constant Field Values

### typeEndPosition

    protected int typeEndPosition

  The cached value of the '`Type End Position`' attribute.

  See Also:
    `getTypeEndPosition()`

### elementType

    protected Classifier elementType

  The cached value of the '`Element Type`' reference.

  See Also:
    `getElementType()`

### KIND_EDEFAULT

    protected static final CollectionKind KIND_EDEFAULT

  The default value of the '`Kind`' attribute.

  See Also:
    `getKind()`

Constructor Detail

### CollectionTypeImpl

    protected CollectionTypeImpl()

### CollectionTypeImpl

    protected CollectionTypeImpl(Classifier elementType)

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.uml2.uml.internal.impl.DataTypeImpl`

### getStartPosition

    public int getStartPosition()

  Specified by:
    `getStartPosition` in interface `ASTNode`
  Returns:
    the value of the 'Start Position' attribute.
  See Also:
    `ASTNode.setStartPosition(int)`, `UtilitiesPackage.getASTNode_StartPosition()`

### setStartPosition

    public void setStartPosition(int newStartPosition)

  Specified by:
    `setStartPosition` in interface `ASTNode`
  Parameters:
    `newStartPosition` - the new value of the 'Start Position' attribute.
  See Also:
    `ASTNode.getStartPosition()`

### getEndPosition

    public int getEndPosition()

  Specified by:
    `getEndPosition` in interface `ASTNode`
  Returns:
    the value of the 'End Position' attribute.
  See Also:
    `ASTNode.setEndPosition(int)`, `UtilitiesPackage.getASTNode_EndPosition()`

### setEndPosition

    public void setEndPosition(int newEndPosition)

  Specified by:
    `setEndPosition` in interface `ASTNode`
  Parameters:
    `newEndPosition` - the new value of the 'End Position' attribute.
  See Also:
    `ASTNode.getEndPosition()`

### getTypeStartPosition

    public int getTypeStartPosition()

  Specified by:
    `getTypeStartPosition` in interface `TypedASTNode`
  Returns:
    the value of the 'Type Start Position' attribute.
  See Also:
    `TypedASTNode.setTypeStartPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeStartPosition()`

### setTypeStartPosition

    public void setTypeStartPosition(int newTypeStartPosition)

  Specified by:
    `setTypeStartPosition` in interface `TypedASTNode`
  Parameters:
    `newTypeStartPosition` - the new value of the 'Type Start Position' attribute.
  See Also:
    `TypedASTNode.getTypeStartPosition()`

### getTypeEndPosition

    public int getTypeEndPosition()

  Specified by:
    `getTypeEndPosition` in interface `TypedASTNode`
  Returns:
    the value of the 'Type End Position' attribute.
  See Also:
    `TypedASTNode.setTypeEndPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeEndPosition()`

### setTypeEndPosition

    public void setTypeEndPosition(int newTypeEndPosition)

  Specified by:
    `setTypeEndPosition` in interface `TypedASTNode`
  Parameters:
    `newTypeEndPosition` - the new value of the 'Type End Position' attribute.
  See Also:
    `TypedASTNode.getTypeEndPosition()`

### getElementType

    public Classifier getElementType()

  Specified by:
    `getElementType` in interface `CollectionType<Classifier,Operation>`
  Returns:
    the value of the 'Element Type' reference.
  See Also:
    `CollectionType.setElementType(Object)`, `TypesPackage.getCollectionType_ElementType()`

### basicGetElementType

    public Classifier basicGetElementType()

### setElementType

    public void setElementType(Classifier newElementType)

  Specified by:
    `setElementType` in interface `CollectionType<Classifier,Operation>`
  Parameters:
    `newElementType` - the new value of the 'Element Type' reference.
  See Also:
    `CollectionType.getElementType()`

### getKind

    public CollectionKind getKind()

  Description copied from interface: `CollectionType`
  Returns the value of the 'Kind' attribute. The literals are from the enumeration `CollectionKind`.

  If the meaning of the 'Collection Kind' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getKind` in interface `CollectionType<Classifier,Operation>`
  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `CollectionKind`, `TypesPackage.getCollectionType_Kind()`

### getName

    public String getName()

  Description copied from interface: `PredefinedType`

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getName` in interface `PredefinedType<Operation>`
  Specified by:
    `getName` in interface `NamedElement`
  Overrides:
    `getName` in class `org.eclipse.uml2.uml.internal.impl.NamedElementImpl`

### oclIterators

    public EList<Operation> oclIterators()

  Description copied from interface: `CollectionType`

  If the meaning of the 'Iterators' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `oclIterators` in interface `CollectionType<Classifier,Operation>`

### oclOperations

    public EList<Operation> oclOperations()

  Description copied from interface: `PredefinedType`

  If the meaning of the 'Operations' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `oclOperations` in interface `PredefinedType<Operation>`

### checkCollectionTypeName

    public boolean checkCollectionTypeName(DiagnosticChain diagnostics,
                                           Map<Object,Object> context)

  Specified by:
    `checkCollectionTypeName` in interface `CollectionType<Classifier,Operation>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkNoInvalidValues

    public boolean checkNoInvalidValues(DiagnosticChain diagnostics,
                                        Map<Object,Object> context)

  Specified by:
    `checkNoInvalidValues` in interface `CollectionType<Classifier,Operation>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.uml2.uml.internal.impl.DataTypeImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.uml2.uml.internal.impl.DataTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.uml2.uml.internal.impl.DataTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.uml2.uml.internal.impl.DataTypeImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.uml2.uml.internal.impl.ClassifierImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.uml2.uml.internal.impl.ClassifierImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.uml2.uml.internal.impl.ClassifierImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.